Bug 199614 - [Update] graphics/tulip to 4.7.0
Summary: [Update] graphics/tulip to 4.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL: http://tulip.labri.fr/TulipDrupal/?q=...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-22 15:02 UTC by Ben Woods
Modified: 2015-04-28 14:48 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update graphics/tulip to 4.7.0 (13.76 KB, patch)
2015-04-22 15:02 UTC, Ben Woods
no flags Details | Diff
Patch to update graphics/tulip to 4.7.0 (19.58 KB, patch)
2015-04-22 15:44 UTC, Ben Woods
no flags Details | Diff
Patch to update graphics/tulip to 4.7.0 (19.56 KB, patch)
2015-04-23 10:54 UTC, Ben Woods
no flags Details | Diff
Successful poudriere testport on FreeBSD 10.1 amd64 with QT5 option set (gzipped) (105.84 KB, application/x-gzip)
2015-04-23 10:55 UTC, Ben Woods
no flags Details
Successful poudriere testport on FreeBSD 10.1 amd64 with QT4 option set (gzipped) (101.80 KB, application/x-gzip)
2015-04-23 12:13 UTC, Ben Woods
no flags Details
Patch to update graphics/tulip to 4.7.0 (16.60 KB, patch)
2015-04-27 14:12 UTC, Ben Woods
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2015-04-22 15:02:05 UTC
Created attachment 155860 [details]
Patch to update graphics/tulip to 4.7.0

Update graphics/tulip to the latest upstream release 4.7.0.

Also take maintainership and pet portlint.
Comment 1 Ben Woods freebsd_committer 2015-04-22 15:44:15 UTC
Created attachment 155864 [details]
Patch to update graphics/tulip to 4.7.0

Now also updates pkg-plist
Comment 2 Ben Woods freebsd_committer 2015-04-23 10:54:33 UTC
Created attachment 155901 [details]
Patch to update graphics/tulip to 4.7.0

Remove libdata/ldconfig/tulip from pkg-plist (not required)
Comment 3 Ben Woods freebsd_committer 2015-04-23 10:55:31 UTC
Created attachment 155902 [details]
Successful poudriere testport on FreeBSD 10.1 amd64 with QT5 option set (gzipped)
Comment 4 Ben Woods freebsd_committer 2015-04-23 12:13:16 UTC
Created attachment 155906 [details]
Successful poudriere testport on FreeBSD 10.1 amd64 with QT4 option set (gzipped)
Comment 5 Adam Weinberger freebsd_committer 2015-04-27 12:25:59 UTC
This patch doesn't apply against SVN head.
Comment 6 Ben Woods freebsd_committer 2015-04-27 14:05:41 UTC
Apologies for that. A number of the existing patches in the files directory were not named in a way that satisfied portlint. I had used "svn mv" to rename them accordingly, but it looks like it didn't work somehow. I will attach a new patch which simply deletes the incorrectly named files and adds new correctly named files.
Comment 7 Adam Weinberger freebsd_committer 2015-04-27 14:06:58 UTC
You don't need to regenerate the patch. Just list out the mv commands for me please.
Comment 8 Ben Woods freebsd_committer 2015-04-27 14:12:01 UTC
Created attachment 156042 [details]
Patch to update graphics/tulip to 4.7.0
Comment 9 Adam Weinberger freebsd_committer 2015-04-27 14:25:58 UTC
===>  Applying FreeBSD patches for tulip-4.7.0
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to software/tulip/src/main.cpp.rej
=> Patch patch-software_tulip_src_main.cpp failed to apply cleanly.


Your patch made my life much more difficult. 'svn mv' does not behave well when the destination file already exists and the source file is empty.

Can you just list out the mv commands? Then the first style patch is best (but fix the failed patch thing).
Comment 10 Ben Woods freebsd_committer 2015-04-28 13:27:22 UTC
I have reverted to my initial patch, which did not apply cleanly to SVN head.

I created this patch as follows:
1. Change Makefile PORTVERSION and MAINTAINER
2. make makesum
3. Remove first hunk from files/patch-CMakeLists.txt
4. Change pkg-plist as per patch
5. svn mv files/patch-dirent files/patch-library_tulip-core_src_PluginLibraryLoader.cpp
6. svn mv files/patch-plugins-view-HistogramView_HistogramStatistics.cpp files/patch-plugins_view_HistogramView_HistogramStatistics.cpp
7. svn mv files/patch-software-crash_handling_CrashHandling.cpp files/patch-software_crash__handling_CrashHandling.cpp
8. svn mv files/patch-software-crash_handling_StackWalker.cpp files/patch-software_crash__handling_StackWalker.cpp
9. svn mv files/patch-software-tulip-include_TulipPerspectiveProcessHandler.h files/patch-software_tulip_include_TulipPerspectiveProcessHandler.h
10. svn mv files/patch-software-tulip-src_main.cpp files/patch-software_tulip_src_main.cpp
11. svn mv files/patch-software-tulip_perspective-src_main.cpp files/patch-software_tulip__perspective_src_main.cpp
12. make patch
13. make makepatch
14. make clean
Comment 11 Adam Weinberger freebsd_committer 2015-04-28 14:48:23 UTC
There we go. Thank you for that, Ben! Got it committed finally.
Comment 12 commit-hook freebsd_committer 2015-04-28 14:48:24 UTC
A commit references this bug:

Author: adamw
Date: Tue Apr 28 14:47:46 UTC 2015
New revision: 384903
URL: https://svnweb.freebsd.org/changeset/ports/384903

Log:
  Update to 4.7.0, pet portlint, rename patch files so the names are
  unambiguous, and assign maintainership to submitter.

  PR:		199614
  Submitted by:	Ben Woods (new maintainer)

Changes:
  head/graphics/tulip/Makefile
  head/graphics/tulip/distinfo
  head/graphics/tulip/files/patch-CMakeLists.txt
  head/graphics/tulip/files/patch-dirent
  head/graphics/tulip/files/patch-library_tulip-core_src_PluginLibraryLoader.cpp
  head/graphics/tulip/files/patch-plugins-view-HistogramView_HistogramStatistics.cpp
  head/graphics/tulip/files/patch-plugins_view_HistogramView_HistogramStatistics.cpp
  head/graphics/tulip/files/patch-software-crash_handling_CrashHandling.cpp
  head/graphics/tulip/files/patch-software-crash_handling_StackWalker.cpp
  head/graphics/tulip/files/patch-software-tulip-include_TulipPerspectiveProcessHandler.h
  head/graphics/tulip/files/patch-software-tulip-src_main.cpp
  head/graphics/tulip/files/patch-software-tulip_perspective-src_main.cpp
  head/graphics/tulip/files/patch-software_crash__handling_CrashHandling.cpp
  head/graphics/tulip/files/patch-software_crash__handling_StackWalker.cpp
  head/graphics/tulip/files/patch-software_tulip__perspective_src_main.cpp
  head/graphics/tulip/files/patch-software_tulip_include_TulipPerspectiveProcessHandler.h
  head/graphics/tulip/files/patch-software_tulip_src_main.cpp
  head/graphics/tulip/files/patch-thirdparty_CMakeLists.txt
  head/graphics/tulip/pkg-plist